Class: Aws::IAM::Types::ListDelegationRequestsResponse
- Inherits:
-
Struct
- Object
- Struct
- Aws::IAM::Types::ListDelegationRequestsResponse
- Defined in:
- gems/aws-sdk-iam/lib/aws-sdk-iam/types.rb
Overview
Constant Summary collapse
- SENSITIVE =
[]
Instance Attribute Summary collapse
-
#delegation_requests ⇒ Array<Types::DelegationRequest>
A list of delegation requests that match the specified criteria.
-
#is_truncated ⇒ Boolean
A flag that indicates whether there are more items to return.
-
#marker ⇒ String
When
isTruncatedistrue, this element is present and contains the value to use for theMarkerparameter in a subsequent pagination request.
Instance Attribute Details
#delegation_requests ⇒ Array<Types::DelegationRequest>
A list of delegation requests that match the specified criteria.
6161 6162 6163 6164 6165 6166 6167 |
# File 'gems/aws-sdk-iam/lib/aws-sdk-iam/types.rb', line 6161 class ListDelegationRequestsResponse < Struct.new( :delegation_requests, :marker, :is_truncated) SENSITIVE = [] include Aws::Structure end |
#is_truncated ⇒ Boolean
A flag that indicates whether there are more items to return. If
your results were truncated, you can make a subsequent pagination
request using the Marker request parameter to retrieve more items.
6161 6162 6163 6164 6165 6166 6167 |
# File 'gems/aws-sdk-iam/lib/aws-sdk-iam/types.rb', line 6161 class ListDelegationRequestsResponse < Struct.new( :delegation_requests, :marker, :is_truncated) SENSITIVE = [] include Aws::Structure end |
#marker ⇒ String
When isTruncated is true, this element is present and contains
the value to use for the Marker parameter in a subsequent
pagination request.
6161 6162 6163 6164 6165 6166 6167 |
# File 'gems/aws-sdk-iam/lib/aws-sdk-iam/types.rb', line 6161 class ListDelegationRequestsResponse < Struct.new( :delegation_requests, :marker, :is_truncated) SENSITIVE = [] include Aws::Structure end |